GNU bug report logs - #675
23.0.60; Edebugging track-mouse

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: minor; Reported by: bojohan+mail@HIDDEN (Johan Bockgård); Keywords: confirmed; dated Fri, 8 Aug 2008 18:05:05 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 675 <at> debbugs.gnu.org:


Received: (at 675) by debbugs.gnu.org; 20 Oct 2019 11:49:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 20 07:49:28 2019
Received: from localhost ([127.0.0.1]:53953 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iM9iA-0008PS-Ix
	for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 07:49:28 -0400
Received: from quimby.gnus.org ([80.91.231.51]:46398)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iM9i8-0008PK-89
 for 675 <at> debbugs.gnu.org; Sun, 20 Oct 2019 07:49:24 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iM9i4-0006pQ-RU; Sun, 20 Oct 2019 13:49:23 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#675: 23.0.60; Edebugging track-mouse
References: <yoijk5er1je7.fsf@HIDDEN>
 <87r237g95z.fsf@HIDDEN> <83o8yb65rz.fsf@HIDDEN>
 <87k18zfysb.fsf@HIDDEN> <83ftjn63zz.fsf@HIDDEN>
Date: Sun, 20 Oct 2019 13:49:20 +0200
In-Reply-To: <83ftjn63zz.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 20 Oct
 2019 14:38:40 +0300")
Message-ID: <874l03fxhb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: >> Perhaps the manual
 should mention what kind of symbols? > > See subr.el. ; ;
 Don't throw `throw-on-input'
 on those events by default. (setq while-no-input-ignore-events '(focus-in
 focus-out help-echo iconify-frame make-frame-visible selection-request
 buffer-switch))
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 675
Cc: bojohan+mail@HIDDEN, 675 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Perhaps the manual should mention what kind of symbols?
>
> See subr.el.

;; Don't throw `throw-on-input' on those events by default.
(setq while-no-input-ignore-events
      '(focus-in focus-out help-echo iconify-frame
        make-frame-visible selection-request buffer-switch))

>> Anyway, I can't see that edebug calls while-no-input?
>
> I don't remember the details of the implementation, but if you already
> tried that and it didn't help in this case, I guess that cannot solve
> the issue.

I didn't know what kind of events to bind the variable to to make it
ignore the mouse movements.

I've now tried (in edebug--recursive-edit) to bind it to

              (while-no-input-ignore-events '(mouse-movement))

but it seems to make no difference.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#675; Package emacs. Full text available.

Message received at 675 <at> debbugs.gnu.org:


Received: (at 675) by debbugs.gnu.org; 20 Oct 2019 11:38:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 20 07:38:57 2019
Received: from localhost ([127.0.0.1]:53936 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iM9Y1-00088q-GG
	for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 07:38:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:56883)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iM9Xz-00088d-Ew
 for 675 <at> debbugs.gnu.org; Sun, 20 Oct 2019 07:38:55 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:47274)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iM9Xu-0006zS-25; Sun, 20 Oct 2019 07:38:50 -0400
Received: from [176.228.60.248] (port=4711 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iM9Xs-0005iN-BH; Sun, 20 Oct 2019 07:38:49 -0400
Date: Sun, 20 Oct 2019 14:38:40 +0300
Message-Id: <83ftjn63zz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87k18zfysb.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 20 Oct 2019 13:21:08 +0200)
Subject: Re: bug#675: 23.0.60; Edebugging track-mouse
References: <yoijk5er1je7.fsf@HIDDEN>
 <87r237g95z.fsf@HIDDEN> <83o8yb65rz.fsf@HIDDEN>
 <87k18zfysb.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 675
Cc: bojohan+mail@HIDDEN, 675 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: bojohan+mail@HIDDEN,  675 <at> debbugs.gnu.org
> Date: Sun, 20 Oct 2019 13:21:08 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> @defvar while-no-input-ignore-events
> This variable allow setting which special events @code{while-no-input}
> should ignore.  It is a list of symbols.
> 
> Perhaps the manual should mention what kind of symbols?

See subr.el.

> Anyway, I can't see that edebug calls while-no-input?

I don't remember the details of the implementation, but if you already
tried that and it didn't help in this case, I guess that cannot solve
the issue.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#675; Package emacs. Full text available.

Message received at 675 <at> debbugs.gnu.org:


Received: (at 675) by debbugs.gnu.org; 20 Oct 2019 11:21:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 20 07:21:15 2019
Received: from localhost ([127.0.0.1]:53907 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iM9Gr-0005f9-DC
	for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 07:21:14 -0400
Received: from quimby.gnus.org ([80.91.231.51]:45928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iM9Gp-0005f2-TE
 for 675 <at> debbugs.gnu.org; Sun, 20 Oct 2019 07:21:12 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iM9Gm-0006YD-D3; Sun, 20 Oct 2019 13:21:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#675: 23.0.60; Edebugging track-mouse
References: <yoijk5er1je7.fsf@HIDDEN>
 <87r237g95z.fsf@HIDDEN> <83o8yb65rz.fsf@HIDDEN>
Date: Sun, 20 Oct 2019 13:21:08 +0200
In-Reply-To: <83o8yb65rz.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 20 Oct
 2019 14:00:16 +0300")
Message-ID: <87k18zfysb.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Eli Zaretskii <eliz@HIDDEN> writes: >> But back to the
 original
 problem: (input-pending-p) is non-nil here, >> but it's because of a mouse
 movement, which edebug doesn't care about. >> >> I guess edebug really cares
 about unread-command [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 675
Cc: bojohan+mail@HIDDEN, 675 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> But back to the original problem:  (input-pending-p) is non-nil here,
>> but it's because of a mouse movement, which edebug doesn't care about.
>> 
>> I guess edebug really cares about unread-command-events here?  So
>> changing the call to just examine that instead might be the fix?
>
> Can Edebug bind while-no-input-ignore-events to something appropriate
> to rectify this?

Hm...  I'm completely unfamiliar with that variable.

@defvar while-no-input-ignore-events
This variable allow setting which special events @code{while-no-input}
should ignore.  It is a list of symbols.

Perhaps the manual should mention what kind of symbols?

Anyway, I can't see that edebug calls while-no-input?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#675; Package emacs. Full text available.

Message received at 675 <at> debbugs.gnu.org:


Received: (at 675) by debbugs.gnu.org; 20 Oct 2019 11:00:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 20 07:00:38 2019
Received: from localhost ([127.0.0.1]:53863 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iM8ww-00033X-4j
	for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 07:00:38 -0400
Received: from eggs.gnu.org ([209.51.188.92]:54210)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1iM8wt-00033I-Lr
 for 675 <at> debbugs.gnu.org; Sun, 20 Oct 2019 07:00:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:46963)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1iM8wo-0000Iw-DI; Sun, 20 Oct 2019 07:00:30 -0400
Received: from [176.228.60.248] (port=2173 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1iM8wk-0005GD-PO; Sun, 20 Oct 2019 07:00:29 -0400
Date: Sun, 20 Oct 2019 14:00:16 +0300
Message-Id: <83o8yb65rz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-reply-to: <87r237g95z.fsf@HIDDEN> (message from Lars Ingebrigtsen on Sun, 
 20 Oct 2019 09:36:56 +0200)
Subject: Re: bug#675: 23.0.60; Edebugging track-mouse
References: <yoijk5er1je7.fsf@HIDDEN>
 <87r237g95z.fsf@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 675
Cc: bojohan+mail@HIDDEN, 675 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Sun, 20 Oct 2019 09:36:56 +0200
> 
> But back to the original problem:  (input-pending-p) is non-nil here,
> but it's because of a mouse movement, which edebug doesn't care about.
> 
> I guess edebug really cares about unread-command-events here?  So
> changing the call to just examine that instead might be the fix?

Can Edebug bind while-no-input-ignore-events to something appropriate
to rectify this?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#675; Package emacs. Full text available.

Message received at 675 <at> debbugs.gnu.org:


Received: (at 675) by debbugs.gnu.org; 20 Oct 2019 07:37:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Oct 20 03:37:03 2019
Received: from localhost ([127.0.0.1]:53722 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iM5lu-0002Ip-Sl
	for submit <at> debbugs.gnu.org; Sun, 20 Oct 2019 03:37:03 -0400
Received: from quimby.gnus.org ([80.91.231.51]:41918)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1iM5ls-0002IO-L2
 for 675 <at> debbugs.gnu.org; Sun, 20 Oct 2019 03:37:01 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=marnie)
 by quimby.gnus.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.89) (envelope-from <larsi@HIDDEN>)
 id 1iM5lo-0004Ps-LF; Sun, 20 Oct 2019 09:36:59 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: bojohan+mail@HIDDEN, 675 <at> debbugs.gnu.org
Subject: Re: bug#675: 23.0.60; Edebugging track-mouse
References: <yoijk5er1je7.fsf@HIDDEN>
Date: Sun, 20 Oct 2019 09:36:56 +0200
In-Reply-To: <yoijk5er1je7.fsf@HIDDEN> ("Johan
 \=\?utf-8\?Q\?\=5C\=22Bockg\=C3\=A5rd\=22's\?\= message of "Fri,
 08 Aug 2008 19:55:28 +0200")
Message-ID: <87r237g95z.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  bojohan+mail@HIDDEN (Johan "Bockgård)" writes: >
   emacs -Q > > (defun foo () > (track-mouse (ignore) (ignore))) > > Instrument
    the function with C-u C-M-x. > > Move the mouse. (Don't click.) > > Call
   (foo) > > Press "g". Edebug stops at each expres [...] 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 675
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

bojohan+mail@HIDDEN (Johan "Bockg=C3=A5rd)" writes:

> emacs -Q
>
> (defun foo ()
>   (track-mouse (ignore) (ignore)))
>
> Instrument the function with C-u C-M-x.
>
> Move the mouse. (Don't click.)
>
> Call (foo)
>
> Press "g". Edebug stops at each expresson inside track-mouse (repeat
> "g").
>
> Expected results: "g" should continue without stopping (only at
> breakpoints).
>
> If the last mouse action was a click the problem doesn't happen.

The code that's causing this is

            (when (input-pending-p)
	      (setq edebug-stop t)
	      (setq edebug-execution-mode 'step) ; for `edebug-overlay-arrow'
	      (edebug-stop))

because when you're tracking the mouse (and you move it), you'll have
input pending, I think?  Hm...  No, it's not that simple -- just moving
the mouse before calling (foo) also triggers this.

Hm!

This gets stranger and stranger.  Here's a simple test case:  Move the
mouse (don't click it), and then eval this:

(track-mouse (input-pending-p))

I get t.  If the last mouse action is a click, then it evaluates to nil.

Right.  Move the mouse (don't click) and then evaluate:

(track-mouse (when (input-pending-p) (read-event "foo: ")))
=3D> (mouse-movement (#<window 4824 on *unsent wide reply to Johan "Bockg=
=C3=A5rd*> 892 (863 . 529) 1948101423 nil 892 (57 . 17) nil (398 . 19) (15 =
. 30)))

So `track-mouse' will give you the previous mouse movement?  OK, that's
fine I guess.

But back to the original problem:  (input-pending-p) is non-nil here,
but it's because of a mouse movement, which edebug doesn't care about.

I guess edebug really cares about unread-command-events here?  So
changing the call to just examine that instead might be the fix?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#675; Package emacs. Full text available.
bug Marked as found in versions 25.0.95. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 24.5. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.
bug Marked as found in versions 24.3. Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 675 <at> debbugs.gnu.org:


Received: (at 675) by debbugs.gnu.org; 10 Jul 2016 21:04:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 10 17:04:47 2016
Received: from localhost ([127.0.0.1]:45705 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1bMLu7-0006D1-Qj
	for submit <at> debbugs.gnu.org; Sun, 10 Jul 2016 17:04:47 -0400
Received: from mail-it0-f51.google.com ([209.85.214.51]:37188)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1bMLtz-0006Cd-Gn; Sun, 10 Jul 2016 17:04:39 -0400
Received: by mail-it0-f51.google.com with SMTP id f6so41555675ith.0;
 Sun, 10 Jul 2016 14:04:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=sender:from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=AksSwDM0LDRTQq0mjS400aKXXS/MMpr3+jdp05OINyg=;
 b=nVLD03jWngiTRiOCGjusOWE1nBAxtJ7WNtgHLjerqeHTKiwMv+R8hARBRX7D0bEakC
 DBzKjMeQ3bK3AtHgzISDTmDsC9GBVtvaiu+5qKk3J6BwJQ1+SpOTXR2CMYfP5M2xkuSW
 aNon6OIuonGnpdg2CNtZvEbVnuI6mjKEbWL6JnU+jc2QbHHOm1Gg44KtZtfCWJ7axr80
 lv04g38ab8lYfCG9+T/uIkh7t0U0JPGYdv1dxocV7DO3QyNOz5Hide1coVx5NnOCy7Jg
 JHQzHpPAoV6UByvj54ZMAAcwze6Nf++a7evo5ty7crx8YbrnmmFLzUZ/ZVFaZONDK1nY
 BSBA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:sender:from:to:cc:subject:references:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=AksSwDM0LDRTQq0mjS400aKXXS/MMpr3+jdp05OINyg=;
 b=CtSGp67UH4BglwRa6wxbXwymU6eb7xT35ASwfMU4J3Knk+uQIR2RFHYe1T0lrseE11
 gEEcUOrsnVyOT+ZRjwlkSduePChxLUMYWg1+jSUBNRQ2773SIkszLV8AyHdLa9Ic/3Ai
 20la4QdFRqxryLyDR3SdBVFGAhYg0PbzTyVovDZTq1Pef4eqM7VpCWnU4KGTLMXYyDkT
 YtIJr4np+9r63dx4c45AORj43F6uG9E+hrjBnGneo99EyfUn8L0pvW7kl0buLjP66Bz+
 /u7OQdMDgmJDSUKnkqYsXjZBNbG/7ZF2qePqw6iLDjWwZgIiAEJ3+XUBINV1w3+617+b
 QaVg==
X-Gm-Message-State: ALyK8tLzoGnwWN2BfHkFRghcMi1z9NHtcpXEStcgPmS/SsZAvY7grcxK0UJKxfYGznfACA==
X-Received: by 10.36.212.130 with SMTP id x124mr11732265itg.65.1468184670143; 
 Sun, 10 Jul 2016 14:04:30 -0700 (PDT)
Received: from zony (206-188-64-44.cpe.distributel.net. [206.188.64.44])
 by smtp.googlemail.com with ESMTPSA id l1sm6175020ite.4.2016.07.10.14.04.29
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 10 Jul 2016 14:04:29 -0700 (PDT)
From: npostavs@HIDDEN
To: Xue Fuqiao <xfq@HIDDEN>
Subject: Re: bug#675: 23.0.60; Edebugging track-mouse
References: <yoijk5er1je7.fsf@HIDDEN>
 <m3ty8jj8xe.fsf@HIDDEN> <87ppmatery.fsf@HIDDEN>
Date: Sun, 10 Jul 2016 17:04:27 -0400
In-Reply-To: <87ppmatery.fsf@HIDDEN> (Xue Fuqiao's message of "Wed, 26 Feb
 2014 17:16:33 +0800")
Message-ID: <877fctgq78.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.93 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 675
Cc: Lars Magne Ingebrigtsen <larsi@HIDDEN>, 675 <at> debbugs.gnu.org,
 Johan =?utf-8?Q?Bockg=C3=A5rd?= <bojohan+mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

found 675 24.3
found 675 24.5
found 675 25.0.95
quit

Xue Fuqiao <xfq@HIDDEN> writes:

> Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:
>>> (defun foo ()
>>>   (track-mouse (ignore) (ignore)))
>>>
>>> Instrument the function with C-u C-M-x.
>>>
>>> Move the mouse. (Don't click.)
>>>
>>> Call (foo)
>>>
>>> Press "g". Edebug stops at each expresson inside track-mouse (repeat
>>> "g").
>>>
>>> Expected results: "g" should continue without stopping (only at
>>> breakpoints).
>>
>> I can confirm that this issue still exists in Emacs 24.
>
> I can't reproduce it with Emacs 24.3.50.  `g' continues without stopping.

I managed to reproduce with 24.3, 24.4, 24.5, and 25.0.95; though not
with 23.4, 24.1, or 24.2.  What's a bit unclear in the OP, is that I had
to move the mouse while (foo) is being called, i.e., M-: (foo) {while
moving mouse hit RET}.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#675; Package emacs. Full text available.

Message received at 675 <at> debbugs.gnu.org:


Received: (at 675) by debbugs.gnu.org; 26 Feb 2014 09:16:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Feb 26 04:16:50 2014
Received: from localhost ([127.0.0.1]:40351 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1WIabe-0005RW-KY
	for submit <at> debbugs.gnu.org; Wed, 26 Feb 2014 04:16:50 -0500
Received: from fencepost.gnu.org ([208.118.235.10]:38050)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <xfq@HIDDEN>) id 1WIabY-0005RJ-6V
 for 675 <at> debbugs.gnu.org; Wed, 26 Feb 2014 04:16:44 -0500
Received: from [123.114.125.233] (port=47316 helo=xfq-ThinkPad-X1-Carbon)
 by fencepost.gnu.org with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <xfq@HIDDEN>)
 id 1WIabV-0008Ln-Sb; Wed, 26 Feb 2014 04:16:38 -0500
From: Xue Fuqiao <xfq@HIDDEN>
To: Lars Magne Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#675: 23.0.60; Edebugging track-mouse
Organization: The Church of Emacs
References: <yoijk5er1je7.fsf@HIDDEN>
 <m3ty8jj8xe.fsf@HIDDEN>
Date: Wed, 26 Feb 2014 17:16:33 +0800
In-Reply-To: <m3ty8jj8xe.fsf@HIDDEN> (Lars Magne Ingebrigtsen's
 message of "Sun, 11 Sep 2011 19:17:01 +0200")
Message-ID: <87ppmatery.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 675
Cc: 675 <at> debbugs.gnu.org,
 Johan =?utf-8?Q?Bockg=C3=A5rd?= <bojohan+mail@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

Lars Magne Ingebrigtsen <larsi@HIDDEN> writes:
>> (defun foo ()
>>   (track-mouse (ignore) (ignore)))
>>
>> Instrument the function with C-u C-M-x.
>>
>> Move the mouse. (Don't click.)
>>
>> Call (foo)
>>
>> Press "g". Edebug stops at each expresson inside track-mouse (repeat
>> "g").
>>
>> Expected results: "g" should continue without stopping (only at
>> breakpoints).
>
> I can confirm that this issue still exists in Emacs 24.

I can't reproduce it with Emacs 24.3.50.  `g' continues without stopping.

-- 
http://www.gnu.org/software/emacs/




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#675; Package emacs. Full text available.

Message received at 675 <at> debbugs.gnu.org:


Received: (at 675) by debbugs.gnu.org; 11 Sep 2011 17:38:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Sep 11 13:38:10 2011
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1R2nyr-0003iX-Pa
	for submit <at> debbugs.gnu.org; Sun, 11 Sep 2011 13:38:10 -0400
Received: from hermes.netfonds.no ([80.91.224.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <larsi@HIDDEN>) id 1R2nyi-0003gX-Ki
	for 675 <at> debbugs.gnu.org; Sun, 11 Sep 2011 13:38:01 -0400
Received: from cm-84.215.51.58.getinternet.no ([84.215.51.58]
	helo=stories.gnus.org)
	by hermes.netfonds.no with esmtpsa (TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16)
	(Exim 4.72) (envelope-from <larsi@HIDDEN>)
	id 1R2nuQ-0003dL-8v; Sun, 11 Sep 2011 19:33:34 +0200
From: Lars Magne Ingebrigtsen <larsi@HIDDEN>
To: bojohan+mail@HIDDEN (Johan =?iso-8859-1?Q?Bockg=E5rd?=)
Subject: Re: 23.0.60; Edebugging track-mouse
In-Reply-To: <yoijk5er1je7.fsf@HIDDEN> ("Johan
	\=\?iso-8859-1\?Q\?Bockg\=E5rd\=22's\?\= message of "Fri,
	08 Aug 2008 19:55:28 +0200")
Date: Sun, 11 Sep 2011 19:17:01 +0200
Message-ID: <m3ty8jj8xe.fsf@HIDDEN>
References: <yoijk5er1je7.fsf@HIDDEN>
User-Agent: Gnus/5.110018 (No Gnus v0.18) Emacs/24.0.50 (gnu/linux)
X-Now-Playing: Various's _Not Alone (3)_: "Sorrow - Long Dark Shadow"
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: quoted-printable
X-MailScanner-ID: 1R2nuQ-0003dL-8v
X-Netfonds-MailScanner: Found to be clean
X-Netfonds-MailScanner-From: larsi@HIDDEN
MailScanner-NULL-Check: 1316367214.48195@A1WFBbDjIsHK0MIcH0UA7Q
X-Spam-Status: No
X-Spam-Score: -2.7 (--)
X-Debbugs-Envelope-To: 675
Cc: 675 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.7 (--)

bojohan+mail@HIDDEN (Johan Bockg=E5rd) writes:

> (defun foo ()
>   (track-mouse (ignore) (ignore)))
>
> Instrument the function with C-u C-M-x.
>
> Move the mouse. (Don't click.)
>
> Call (foo)
>
> Press "g". Edebug stops at each expresson inside track-mouse (repeat
> "g").
>
> Expected results: "g" should continue without stopping (only at
> breakpoints).

I can confirm that this issue still exists in Emacs 24.

--=20
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/




Information forwarded to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:
bug#675; Package emacs. Full text available.
Added tag(s) confirmed. Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Severity set to 'minor' from 'normal' Request was from Lars Magne Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at (unknown):


Received: (at unknown) by unknown; unknown
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Status: No, score=-5.3 required=4.0 tests=AWL,BAYES_00,
	RCVD_IN_DNSWL_MED autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 8 Aug 2008 17:55:43 +0000
Received: from fencepost.gnu.org (fencepost.gnu.org [140.186.70.10])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id m78Htd7e016973
	for <submit@HIDDEN>; Fri, 8 Aug 2008 10:55:41 -0700
Received: from mx10.gnu.org ([199.232.76.166]:33008)
	by fencepost.gnu.org with esmtp (Exim 4.67)
	(envelope-from <bojohan+mail@HIDDEN>)
	id 1KRWAc-0004W1-67
	for emacs-pretest-bug@HIDDEN; Fri, 08 Aug 2008 13:54:34 -0400
Received: from Debian-exim by monty-python.gnu.org with spam-scanned (Exim 4.60)
	(envelope-from <bojohan+mail@HIDDEN>)
	id 1KRWBa-0006QS-EB
	for emacs-pretest-bug@HIDDEN; Fri, 08 Aug 2008 13:55:38 -0400
Received: from atum.ita.chalmers.se ([129.16.4.148]:65278)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <bojohan+mail@HIDDEN>)
	id 1KRWBZ-0006Py-TG
	for emacs-pretest-bug@HIDDEN; Fri, 08 Aug 2008 13:55:34 -0400
Received: from remote5.student.chalmers.se (remote5.student.chalmers.se [129.16.29.83])
	by atum.ita.chalmers.se (Postfix) with ESMTP id A62EF1CA20
	for <emacs-pretest-bug@HIDDEN>; Fri,  8 Aug 2008 19:55:30 +0200 (CEST)
Received: by remote5.student.chalmers.se (Postfix, from userid 61540)
	id 9CCF92005C; Fri,  8 Aug 2008 19:55:30 +0200 (CEST)
From: bojohan+mail@HIDDEN (Johan =?utf-8?Q?Bockg=C3=A5rd?=)
To: emacs-pretest-bug@HIDDEN
Subject: 23.0.60; Edebugging track-mouse
Date: Fri, 08 Aug 2008 19:55:28 +0200
Message-ID: <yoijk5er1je7.fsf@HIDDEN>
User-Agent: Gnus/5.110009 (No Gnus v0.9) Emacs/23.0.60 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-kernel: by monty-python.gnu.org: Solaris 10 (beta)


emacs -Q

(defun foo ()
  (track-mouse (ignore) (ignore)))

Instrument the function with C-u C-M-x.

Move the mouse. (Don't click.)

Call (foo)

Press "g". Edebug stops at each expresson inside track-mouse (repeat
"g").

Expected results: "g" should continue without stopping (only at
breakpoints).

If the last mouse action was a click the problem doesn't happen.

--=20
Johan Bockg=C3=A5rd




Acknowledgement sent to bojohan+mail@HIDDEN (Johan Bockgård):
New bug report received and forwarded. Copy sent to Emacs Bugs <bug-gnu-emacs@HIDDEN>. Full text available.
Report forwarded to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:
bug#675; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.